## python-multipart 0.0.5

=== requirements.txt ===
atomicwrites==1.2.1
attrs==18.2.0
coverage==4.5.1
mock==2.0.0
more-itertools==4.3.0
pbr==4.3.0
pluggy==0.7.1
py==1.6.0
pytest==3.8.2
PyYAML==3.13
six==1.11.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/python-multipart.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/python-multipart.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/python-multipart"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/python-multipart"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-multipart (0.0.5-2) unstable; urgency=medium

  * source only upload

 -- Sandro Tosi <morph@debian.org>  Sun, 10 Jan 2021 23:57:31 -0500

python-multipart (0.0.5-1) unstable; urgency=low

  * Initial release; Closes: #977936

 -- Sandro Tosi <morph@debian.org>  Wed, 23 Dec 2020 04:36:19 +0000

=== debian/control ===
Source: python-multipart
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-atomicwrites,
               python3-attr,
               python3-coverage,
               python3-mock,
               python3-more-itertools,
               python3-pbr,
               python3-pluggy,
               python3-py,
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-six,
               python3-yaml,
Standards-Version: 4.5.1
Homepage: https://github.com/andrew-d/python-multipart
Vcs-Git: https://salsa.debian.org/python-team/packages/python-multipart.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-multipart

Package: python3-multipart
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Recommends: ${python3:Recommends},
Suggests: ${python3:Suggests},
Description: streaming multipart parser for Python
 Python-Multipart is a streaming multipart parser for Python.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=python-multipart
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m pytest multipart/tests/ " dh_auto_test

## python-multipart 0.0.9

=== requirements.txt ===
atomicwrites==1.4.1
attrs==23.2.0
coverage==7.4.1
more-itertools==10.2.0
pbr==6.0.0
pluggy==1.4.0
py==1.11.0
pytest==8.0.0
PyYAML==6.0.1
ruff==0.2.1

=== docs/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 # User-friendly check for sphinx-build
 ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
-$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
+$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from https://sphinx-doc.org/)
 endif
 
 # Internal variables.

=== debian/changelog ===
python-multipart (0.0.9-1) unstable; urgency=high

  [ Piotr Ożarowski ]
  * Team upload
  * New upstream release
    - fixes CVE-2024-24762 (Closes: #1063538)

  [ Sandro Tosi ]
  * drop DPT

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Mar 2024 01:28:50 -0500

python-multipart (0.0.6-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * New upstream version 0.0.6
  * remove patch applied upstream
  * remove obsolete dependencies:
    * python3-mock
    * python3-six (Closes: #1053969)
  * use new dh-sequence-python3
  * add build-dep on:
    * pybuild-plugin-pyproject
    * python3-hatchling
  * set Rules-Requires-Root: no

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

  [ Sandro Tosi ]
  * debian/control
    - bump Standards-Version to 4.6.2 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sat, 13 Jan 2024 17:15:18 -0500

python-multipart (0.0.5-3) unstable; urgency=medium

  * debian/patches/PR46.patch
    - compatibility with pyyaml/6; Closes: #1022075

 -- Sandro Tosi <morph@debian.org>  Sat, 22 Oct 2022 21:33:25 -0400

=== debian/control ===
Source: python-multipart
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-atomicwrites,
               python3-attr,
               python3-coverage,
               python3-hatchling,
               python3-more-itertools,
               python3-pbr,
               python3-pluggy,
               python3-py,
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-yaml,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/andrew-d/python-multipart
Vcs-Git: https://salsa.debian.org/morph/python-multipart.git
Vcs-Browser: https://salsa.debian.org/morph/python-multipart

Package: python3-multipart
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Recommends: ${python3:Recommends},
Suggests: ${python3:Suggests},
Description: streaming multipart parser for Python
 Python-Multipart is a streaming multipart parser for Python.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=python-multipart
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m pytest tests/ " dh_auto_test

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-multipart-$1.tar.gz%,uversionmangle=s/(rc|a|b|c|dev)/~$1/,dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg" \
https://github.com/andrew-d/python-multipart/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## python-multipart 0.0.17

=== debian/changelog ===
python-multipart (0.0.17-5) unstable; urgency=medium

  * upload to unstable

 -- Sandro Tosi <morph@debian.org>  Thu, 19 Dec 2024 01:10:16 -0500

python-multipart (0.0.17-4) experimental; urgency=medium

  * debian/control
    - add Breaks/Replaces on old python3-multipart; Closes: #1088377

 -- Sandro Tosi <morph@debian.org>  Wed, 27 Nov 2024 13:07:33 -0500

python-multipart (0.0.17-3) experimental; urgency=medium

  * Provide python3-multipart (= ${binary:Version) temporarily, to simplify
    transitioning build-dependencies to the new package name; patch by
    Colin Watson

 -- Sandro Tosi <morph@debian.org>  Tue, 26 Nov 2024 23:32:34 -0500

python-multipart (0.0.17-2) experimental; urgency=medium

  * debian/control
    - rename the binary package to python3-python-multipart; Closes: #1085728
  * debian/python3-python-multipart.docs
    - install the proper README.md file
  * debian/patches/install-only-python_multipart.patch
    - install only the `python_multipart` module, not also the transitional
      `multipart`

 -- Sandro Tosi <morph@debian.org>  Sun, 24 Nov 2024 02:51:58 -0500

python-multipart (0.0.17-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - enable autopkgtests via autopkgtest-pkg-pybuild
    - bump Standards-Version to 4.7.0 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sun, 24 Nov 2024 00:45:45 -0500

## python-multipart 0.0.20

=== debian/changelog ===
python-multipart (0.0.20-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Fri, 14 Mar 2025 01:14:13 -0400

=== debian/control ===
--- 
+++ 
@@ -18,16 +18,20 @@
                python3-setuptools,
                python3-yaml,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/andrew-d/python-multipart
 Vcs-Git: https://salsa.debian.org/morph/python-multipart.git
 Vcs-Browser: https://salsa.debian.org/morph/python-multipart
+Testsuite: autopkgtest-pkg-pybuild
 
-Package: python3-multipart
+Package: python3-python-multipart
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
 Recommends: ${python3:Recommends},
 Suggests: ${python3:Suggests},
+Provides: python3-multipart (= ${binary:Version}),
+Breaks: python3-multipart (<< 0.0.17-2)
+Replaces: python3-multipart (<< 0.0.17-2)
 Description: streaming multipart parser for Python
  Python-Multipart is a streaming multipart parser for Python.
